#include "Display.h"
#include "SPI.h"
#include "Time.h"
#include "watch.h"

char inputBuffer[20];
Display lcd = Display();

void setup() {
  Serial.begin(9600);
  Serial.println("Set Time (Format: HHMMSS)");
  lcd.init(20);
}

 
void loop() {
  int i = 0;

  if (Serial.available() > 0) {
    memset(inputBuffer, 0, sizeof(inputBuffer));
    delay(50);
    while (Serial.available() > 0 && i < sizeof(inputBuffer) - 1) {
      inputBuffer[i] = Serial.read();
      i++;
    }

    char hours[3] = {inputBuffer[0], inputBuffer[1], 0};
    char minutes[3] = {inputBuffer[2], inputBuffer[3], 0};
    char seconds[3] = {inputBuffer[4], inputBuffer[5], 0};
    
    setTime(atoi(hours), atoi(minutes), atoi(seconds), 0, 0, 0);
  }
  
  lcd.clearVideoBuffer();
  lcd.drawBitmap(0, 0, 128, 64, watch);
  
  lcd.drawLine(63, 32, 63+(int)(17*cos((hour()%12*30+minute()/2.0-90) *  M_PI / 180.0)),
                       32+(int)(17*sin((hour()%12*30+minute()/2.0-90) *  M_PI / 180.0)));
  lcd.drawLine(63, 32, 63+(int)(25*cos(((minute()*6)-90) *  M_PI / 180.0)),
                       32+(int)(25*sin(((minute()*6)-90) *  M_PI / 180.0)));
  lcd.drawLine(63, 32, 63+(int)(27*cos(((second()*6)-90) *  M_PI / 180.0)),
                       32+(int)(27*sin(((second()*6)-90) *  M_PI / 180.0)));
  lcd.show();
}


