#include "Display.h"
#include "SPI.h"

Display lcd = Display();

void setup() {
  lcd.init(20);
  lcd.clearVideoBuffer();
  double a = -1;
  double b = 3;
  double c = 0;
  short factorX = 10;
  short factorY = 5;
  double codomain = 10;
  
  //Zeichne Koordinatensystem
  lcd.drawLine(0, 31, 127, 31);
  lcd.drawLine(63, 0, 63, 63);
  lcd.drawString(5, 15, "-x^2+3x");
  
  for (double x=-1.0 * codomain; x<codomain; x=x+0.1) {
    int yValue = 31 - (((a*x*x) + (b*x) + c) * factorY) ;
    int xValue = x*factorX + 63;
    if (yValue >= 0 && yValue < 64) {
      lcd.drawPixel(xValue, yValue);
      lcd.show();
    } 
  }
}

void loop() {
}
 

