#include "Display.h"
#include "SPI.h"
#include "Home.h"

#define LCD_BUTTON_LEFT A4
#define LCD_BUTTON_RIGHT A5

Display lcd = Display();

void setup() {
  lcd.init(20);
  pinMode(LCD_BUTTON_LEFT, INPUT_PULLUP);
  pinMode(LCD_BUTTON_RIGHT, INPUT_PULLUP);
}

void loop() {
  lcd.clearVideoBuffer();
  lcd.drawBitmap(0, 0, 128, 64, home);
  drawOutdoorLightingOn(!digitalRead(LCD_BUTTON_LEFT));
  drawFrontDoorOpen(!digitalRead(LCD_BUTTON_RIGHT));
  lcd.show();
}

void drawOutdoorLightingOn(boolean isOn) {
  if(isOn) {
    //Front
    lcd.drawLine(6, 22, 8, 23);
    lcd.drawLine(5, 25, 7, 25);
    lcd.drawLine(6, 28, 8, 27);
    
    //Back
    lcd.drawLine(94, 39, 96, 38);
    lcd.drawLine(95, 41, 97, 41);
    lcd.drawLine(94, 43, 96, 44);
  } else {
  }
}

void drawFrontDoorOpen(boolean isOpen) {
  if(isOpen) {
    lcd.drawLine(14, 38, 14, 30);
    
  } else {
    lcd.drawLine(14, 38, 23, 37);
  }
}


